libqt4-4.8.7-17.3.1.x86_64.rpm


Advertisement

Description

libqt4 - C++ Program Library, Core Components

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package name libqt4
Package version 4.8.7
Package release 17.3.1
Package architecture x86_64
Package type rpm
Installed size 15.78 MB
Download size 3.75 MB
Official Mirror ftp.gwdg.de
Qt is a set of libraries for developing applications.
This package contains base tools, like string, xml, and network
handling.

Alternatives

Package Version Architecture Repository
libqt4-4.8.6-16.6.x86_64.rpm 4.8.6 x86_64 openSUSE Oss
libqt4 - - -

Requires

Name Value
/sbin/ldconfig -
ld-linux-x86-64.so.2()(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libcrypto.so.1.0.0()(64bit) -
libdbus-1.so.3()(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libglib-2.0.so.0()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libssl.so.1.0.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libz.so.1()(64bit) -

Provides

Name Value
libQtCLucene.so.4()(64bit) -
libQtCore.so.4()(64bit) -
libQtDBus.so.4()(64bit) -
libQtNetwork.so.4()(64bit) -
libQtTest.so.4()(64bit) -
libQtXml.so.4()(64bit) -
libQtXmlPatterns.so.4()(64bit) -
libqcncodecs.so()(64bit) -
libqjpcodecs.so()(64bit) -
libqkrcodecs.so()(64bit) -
libqt4 = 4.8.7-17.3.1
libqt4(x86-64) = 4.8.7-17.3.1
libqt4-dbus-1 = 4.4.0
libqtwcodecs.so()(64bit) -
qt = 4.4.0

Conflicts

Name Value
libqt4-x11 <= 4.5.1-2.5

Obsoletes

Name Value
libqt4-dbus-1 < 4.4.0
qt < 4.4.0

Download

Type URL
Binary Package libqt4-4.8.7-17.3.1.x86_64.rpm
Source Package libqt4-4.8.7-17.3.1.src.rpm

Install Howto

Install libqt4 rpm package:

# zypper install libqt4

Files

Path
/usr/bin/qdbus
/usr/bin/xmlpatterns
/usr/bin/xmlpatternsvalidator
/usr/lib64/libQtCLucene.so.4
/usr/lib64/libQtCLucene.so.4.8
/usr/lib64/libQtCLucene.so.4.8.7
/usr/lib64/libQtCore.so.4
/usr/lib64/libQtCore.so.4.8
/usr/lib64/libQtCore.so.4.8.7
/usr/lib64/libQtDBus.so.4
/usr/lib64/libQtDBus.so.4.8
/usr/lib64/libQtDBus.so.4.8.7
/usr/lib64/libQtNetwork.so.4
/usr/lib64/libQtNetwork.so.4.8
/usr/lib64/libQtNetwork.so.4.8.7
/usr/lib64/libQtTest.so.4
/usr/lib64/libQtTest.so.4.8
/usr/lib64/libQtTest.so.4.8.7
/usr/lib64/libQtXml.so.4
/usr/lib64/libQtXml.so.4.8
/usr/lib64/libQtXml.so.4.8.7
/usr/lib64/libQtXmlPatterns.so.4
/usr/lib64/libQtXmlPatterns.so.4.8
/usr/lib64/libQtXmlPatterns.so.4.8.7
/usr/lib64/qt4/
/usr/lib64/qt4/plugins/
/usr/lib64/qt4/plugins/codecs/libqcncodecs.so
/usr/lib64/qt4/plugins/codecs/libqjpcodecs.so
/usr/lib64/qt4/plugins/codecs/libqkrcodecs.so
/usr/lib64/qt4/plugins/codecs/libqtwcodecs.so
/usr/lib64/qt4/plugins/script/
/usr/share/doc/packages/libqt4/LGPL_EXCEPTION.txt
/usr/share/doc/packages/libqt4/LICENSE.GPL3
/usr/share/doc/packages/libqt4/LICENSE.LGPL
/usr/share/doc/packages/libqt4/changes-4.8.7
/usr/share/qt4/
/usr/share/qt4/translations/qt_ar.qm
/usr/share/qt4/translations/qt_cs.qm
/usr/share/qt4/translations/qt_da.qm
/usr/share/qt4/translations/qt_de.qm
/usr/share/qt4/translations/qt_es.qm
/usr/share/qt4/translations/qt_eu.qm
/usr/share/qt4/translations/qt_fa.qm
/usr/share/qt4/translations/qt_fr.qm
/usr/share/qt4/translations/qt_gl.qm
/usr/share/qt4/translations/qt_he.qm
/usr/share/qt4/translations/qt_help_cs.qm
/usr/share/qt4/translations/qt_help_da.qm
/usr/share/qt4/translations/qt_help_de.qm
/usr/share/qt4/translations/qt_help_eu.qm
/usr/share/qt4/translations/qt_help_fr.qm
/usr/share/qt4/translations/qt_help_gl.qm
/usr/share/qt4/translations/qt_help_hu.qm
/usr/share/qt4/translations/qt_help_ja.qm
/usr/share/qt4/translations/qt_help_ko.qm
/usr/share/qt4/translations/qt_help_pl.qm
/usr/share/qt4/translations/qt_help_ru.qm
/usr/share/qt4/translations/qt_help_sl.qm
/usr/share/qt4/translations/qt_help_uk.qm
/usr/share/qt4/translations/qt_help_zh_CN.qm
/usr/share/qt4/translations/qt_help_zh_TW.qm
/usr/share/qt4/translations/qt_hu.qm
/usr/share/qt4/translations/qt_ja.qm
/usr/share/qt4/translations/qt_ko.qm
/usr/share/qt4/translations/qt_lt.qm
/usr/share/qt4/translations/qt_pl.qm
/usr/share/qt4/translations/qt_pt.qm
/usr/share/qt4/translations/qt_ru.qm
/usr/share/qt4/translations/qt_sk.qm
/usr/share/qt4/translations/qt_sl.qm
/usr/share/qt4/translations/qt_sv.qm
/usr/share/qt4/translations/qt_uk.qm
/usr/share/qt4/translations/qt_zh_CN.qm
/usr/share/qt4/translations/qt_zh_TW.qm
/usr/share/qt4/translations/qtscript_eu.qm

Changelog

2017-12-26 - fabian@ritter-vogt.de
- Change fix-build-icu59.patch to build qlocale_icu.cpp with
- std=c++11 to support ICU60 headers
2017-12-06 - fabian@ritter-vogt.de
- Add proper patch headers to:
* no-ssl3.patch
* qt4-openssl-1.1.0pre-3.patch
- Remove patch, not needed:
* qt-everywhere-opensource-src-4.8.7-gcc7.patch
2017-12-05 - ro@suse.de
- add patches from mageia to fix build with openssl-1.1
- add no-ssl3.patch
- add qt4-openssl-1.1.0pre-3.patch
- add qt-everywhere-opensource-src-4.8.7-openssl.patch
- add qt-everywhere-opensource-src-4.8.7-gcc7.patch
2017-09-10 - dimstar@opensuse.org
- BuildRequire libnsl-devel on current TW and CODE15 targets. The
library has been deprecated in glibc and is now in an own
package.
2017-09-04 - cornelis@solcon.nl
- Add fix-medium-font.diff (taken from ubuntu) to fix bolder font
in Qt4 apps (boo#956357)
2017-08-24 - fvogt@suse.com
- Force building against openSSL 1.0 (boo#1042657)
- Do not build the MySQL plugin on TW, it would cause an openSSL
version conflict
- Adjust fix-build-icu59.patch to also work if built with c++11
support
2017-05-10 - fabian@ritter-vogt.de
- Add fix-build-icu59.patch to fix building with ICU4C >= 59
- Invoke configure with sh to fix build on some older distros
2017-02-10 - alarrosa@suse.com
- Add fix-moc-parsing-with-glibc-2.25.patch to fix moc parsing
system headers from glibc 2.25 correctly.
2016-06-24 - lbeltrame@kde.org
- Add fix-gcc6-detection.diff to fix GCC6 detection (boo#986350)
2016-06-02 - matwey.kornilov@gmail.com
- Enable libqt4-devel-32bit to fix boo#982826

See Also

Package Description
libqt4-devel-32bit-4.8.7-17.3.1.x86_64.rpm Qt Development Kit
libqt4-devel-4.8.7-17.3.1.x86_64.rpm Qt Development Kit
libqt4-devel-doc-4.8.7-17.3.2.x86_64.rpm Qt documentation
libqt4-devel-doc-data-4.8.7-17.3.2.noarch.rpm C++ Program Library, Core Components
libqt4-linguist-4.8.7-17.3.1.x86_64.rpm Qt Linguist
libqt4-private-headers-devel-4.8.7-17.3.1.x86_64.rpm Non-ABI stabile experimental API
libqt4-qt3support-32bit-4.8.7-17.3.1.x86_64.rpm C++ Program Library, Core Components
libqt4-qt3support-4.8.7-17.3.1.x86_64.rpm C++ Program Library, Core Components
libqt4-sql-32bit-4.8.7-17.3.1.x86_64.rpm Qt 4 SQL related libraries
libqt4-sql-4.8.7-17.3.1.x86_64.rpm Qt 4 SQL related libraries
libqt4-sql-mysql-32bit-4.8.7-17.3.1.x86_64.rpm Qt 4 MySQL support
libqt4-sql-mysql-4.8.7-17.3.1.x86_64.rpm Qt 4 MySQL support
libqt4-sql-postgresql-32bit-4.8.7-17.3.1.x86_64.rpm Qt 4 PostgreSQL plugin
libqt4-sql-postgresql-4.8.7-17.3.1.x86_64.rpm Qt 4 PostgreSQL plugin
libqt4-sql-sqlite-32bit-4.8.7-17.3.1.x86_64.rpm Qt 4 sqlite plugin
Advertisement
Advertisement